opencv: cv::CascadeClassifier Class Reference

Classes | Public Types | Public Member Functions | Public Attributes

# cv::CascadeClassifier Class Reference

`#include <objdetect.hpp>`

List of all members.

## Classes
struct | DTree
struct | DTreeNode
struct | Stage
## Public Types
enum | { BOOST = 0 }
enum | { DO_CANNY_PRUNING = 1, SCALE_IMAGE = 2, FIND_BIGGEST_OBJECT = 4, DO_ROUGH_SEARCH = 8 }
## Public Member Functions
CV_WRAP | CascadeClassifier ()
CV_WRAP | CascadeClassifier (const string &filename)
CV_WRAP void | detectMultiScale (const Mat &image, CV_OUT vector< Rect > &objects, double scaleFactor=1.1, int minNeighbors=3, int flags=0, Size minSize=Size(), Size maxSize=Size())
CV_WRAP bool | empty () const
CV_WRAP bool | load (const string &filename)
bool | read (const FileNode &node)
int | runAt (Ptr< FeatureEvaluator > &, Point)
bool | setImage (Ptr< FeatureEvaluator > &, const Mat &)
| ~CascadeClassifier ()
## Public Attributes
vector< DTree > | classifiers
int | featureType
Ptr< FeatureEvaluator > | feval
bool | is_stump_based
vector< float > | leaves
int | ncategories
vector< DTreeNode > | nodes
Ptr< CvHaarClassifierCascade > | oldCascade
Size | origWinSize
vector< Stage > | stages
int | stageType
vector< int > | subsets

## Member Enumeration Documentation

anonymous enum

Enumerator:

  BOOST |

anonymous enum

Enumerator:

  DO_CANNY_PRUNING |
  SCALE_IMAGE |
  FIND_BIGGEST_OBJECT |
  DO_ROUGH_SEARCH |

## Constructor & Destructor Documentation

CV_WRAP cv::CascadeClassifier::CascadeClassifier | ( | ) |

CV_WRAP cv::CascadeClassifier::CascadeClassifier | ( | const string & | filename ) |

cv::CascadeClassifier::~CascadeClassifier | ( | ) |

## Member Function Documentation

CV_WRAP void cv::CascadeClassifier::detectMultiScale | ( | const Mat & | image,
|  | CV_OUT vector< Rect > & | objects,
|  | double | scaleFactor = `1.1`,
|  | int | minNeighbors = `3`,
|  | int | flags = `0`,
|  | Size | minSize = `Size()`,
|  | Size | maxSize = `Size()`
| ) |  |

CV_WRAP bool cv::CascadeClassifier::empty | ( | ) | const

CV_WRAP bool cv::CascadeClassifier::load | ( | const string & | filename ) |

bool cv::CascadeClassifier::read | ( | const FileNode & | node ) |

int cv::CascadeClassifier::runAt | ( | Ptr< FeatureEvaluator > & | ,
|  | Point |
| ) |  |

bool cv::CascadeClassifier::setImage | ( | Ptr< FeatureEvaluator > & | ,
|  | const Mat & |
| ) |  |

## Member Data Documentation

vector<DTree> cv::CascadeClassifier::classifiers

int cv::CascadeClassifier::featureType

Ptr<FeatureEvaluator> cv::CascadeClassifier::feval

bool cv::CascadeClassifier::is_stump_based

vector<float> cv::CascadeClassifier::leaves

int cv::CascadeClassifier::ncategories

vector<DTreeNode> cv::CascadeClassifier::nodes

Ptr<CvHaarClassifierCascade> cv::CascadeClassifier::oldCascade

Size cv::CascadeClassifier::origWinSize

vector<Stage> cv::CascadeClassifier::stages

int cv::CascadeClassifier::stageType

vector<int> cv::CascadeClassifier::subsets

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/objdetect/include/opencv2/objdetect/objdetect.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines